/* 
 * Extended utility functions
 */

/* hide HTML element */
function hide(elm){
	var x = document.getElementById(elm);
	if(x) x.style.display = 'none';
}
/* show HTML element */
function show(elm){
	var x = document.getElementById(elm);
	if (x) x.style.display = "";
}
/* get the value of a HTML element */
function get_val(elm){
	var x= document.getElementById(elm);
	if(x) return x.value; else return "#NA";
}
/* get the reference to a HTML element */
function get_elem(elm){
	var x= document.getElementById(elm);
	if(x) return x; else return 0;
}
/* get innerHTML of a HTML element */
function get_txt(elm,val){
	var x= document.getElementById(elm);
	if(x) return x.innerHTML; else return "";
}
/* set innerHTML of a HTML element */
function set_txt(elm,val){
	var x= document.getElementById(elm);
	if(x) x.innerHTML = val;
}
/* set the value of a HTML element */
function set_val(elm,val){
	var x= document.getElementById(elm);
	if(x) x.value = val;
}
function js_wait(millis) 
{
    var date = new Date();
    var curDate = null;

    do { curDate = new Date(); } 
    while(curDate-date < millis);
}

