#!/bin/sh

# Log the date in the lightttp cgi log file
date +%R 1>&2
# Log this action
(1>&2 echo "upload-icon.cgi.")

TMP1=/var/tmp/barix_keep_all
TMP2=/var/tmp/barix_tmp2
TMP3=/var/tmp/barix_tmp3
TMP4=/var/tmp/barix_tmp4
TMP5=/var/tmp/barix_tmp5
DEST_DIR=/usr/local/www/audiopoint/images/

# Receive the whole file and save it
cat > $TMP1

# Extract the name of the filename! from a string like this one:
# Content-Disposition: form-data; name="myFile"; filename="Half Life Classic.png"
DEST_FILE_NAME=$(head -n 2 $TMP1 | tail -n 1 | awk -F'["]' '{print $2}')

# Log this action
(1>&2 echo Destination file: $DEST_FILE_NAME)

# Concatenate path and destination file
DEST_FILE_NAME=$DEST_DIR$DEST_FILE_NAME

# Remove the first n lines
tail -n +5 $TMP1 > $TMP2

# Get the line count
LINES=$(wc -l $TMP2 | cut -d ' ' -f 1) 
# Copy all lines but the last one to a temporary file
head -n $((LINES-1)) $TMP2 > $TMP3
# Copy all the lines but the last two to the final file
head -n $((LINES-2)) $TMP3 > $DEST_FILE_NAME
# Copy the last line
tail -n 1 $TMP3 > $TMP4
# Remove two bytes from the last line
bs=$((`cat $TMP4 | wc -c` -2))
dd if=$TMP4 of=$TMP5 bs=$bs count=1
# Append last line
cat $TMP5 >> $DEST_FILE_NAME

rm $TMP1
rm $TMP2
rm $TMP3
rm $TMP4
rm $TMP5

echo 'Status: 204 No Content'
echo

